> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a transfer

> Creates a direct transfer using only the recipient and sender IDs. Before calling this endpoint, make sure you have already created both the recipient and the sender via their respective endpoints and obtained their IDs.



## OpenAPI

````yaml post /transfers
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /transfers:
    post:
      tags:
        - Transfers
      summary: Initiate a Transfer
      description: Initiate a new transfer
      operationId: InitiateaTransfer
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/InitiateaTransferRequest'
                - example:
                    account_bank: '044'
                    account_number: '0690000040'
                    amount: 500
                    narration: Akhlm Pstmn Trnsfr xx007
                    currency: NGN
                    reference: akhlm-pstmnpyt-rfxx078_PMCKDU_1
                    callback_url: https://www.flutterwave.com/ng/
                    debit_currency: NGN
            example:
              account_bank: '044'
              account_number: '0690000040'
              amount: 500
              narration: Akhlm Pstmn Trnsfr xx007
              currency: NGN
              reference: akhlm-pstmnpyt-rfxx078_PMCKDU_1
              callback_url: https://www.flutterwave.com/ng/
              debit_currency: NGN
        required: true
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Mon, 18 Mar 2024 08:58:40 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '470'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"1d6-YACt9CWy88jQ//m9DSBQZQ"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessfulNGNTransferResponse'
                  - example:
                      status: success
                      message: Transfer Queued Successfully
                      data:
                        id: 621922
                        account_number: '0690000040'
                        bank_code: '044'
                        full_name: Alexis Sanchez
                        created_at: '2024-03-18T08:58:30.000Z'
                        currency: NGN
                        debit_currency: NGN
                        amount: 500
                        fee: 10.75
                        status: NEW
                        reference: akhlm-pstmnpyt-rfxx078_PMCKDU_1
                        meta: null
                        narration: Akhlm Pstmn Trnsfr xx007
                        complete_message: ''
                        requires_approval: 0
                        is_approved: 1
                        bank_name: ACCESS BANK NIGERIA
              example:
                status: success
                message: Transfer Queued Successfully
                data:
                  id: 621922
                  account_number: '0690000040'
                  bank_code: '044'
                  full_name: Alexis Sanchez
                  created_at: '2024-03-18T08:58:30.000Z'
                  currency: NGN
                  debit_currency: NGN
                  amount: 500
                  fee: 10.75
                  status: NEW
                  reference: akhlm-pstmnpyt-rfxx078_PMCKDU_1
                  meta: null
                  narration: Akhlm Pstmn Trnsfr xx007
                  complete_message: ''
                  requires_approval: 0
                  is_approved: 1
                  bank_name: ACCESS BANK NIGERIA
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Mon, 18 Mar 2024 09:02:27 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '462'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"1ce-cXql9dJQjHa3cKypWFlmMA"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/AccountResolveError1'
                  - example:
                      status: error
                      message: Transfer creation failed
                      data:
                        id: 621925
                        account_number: '0690000099'
                        bank_code: '044'
                        full_name: N/A
                        created_at: '2024-03-18T09:02:14.000Z'
                        currency: NGN
                        debit_currency: NGN
                        amount: 500
                        fee: 10.75
                        status: FAILED
                        reference: akhlm-pstmnpyt-rfxx678_PMCKDU_1
                        meta: null
                        narration: Akhlm Pstmn Trnsfr xx007
                        complete_message: Account resolve failed
                        requires_approval: 0
                        is_approved: 1
                        bank_name: N/A
              example:
                status: error
                message: Transfer creation failed
                data:
                  id: 621925
                  account_number: '0690000099'
                  bank_code: '044'
                  full_name: N/A
                  created_at: '2024-03-18T09:02:14.000Z'
                  currency: NGN
                  debit_currency: NGN
                  amount: 500
                  fee: 10.75
                  status: FAILED
                  reference: akhlm-pstmnpyt-rfxx678_PMCKDU_1
                  meta: null
                  narration: Akhlm Pstmn Trnsfr xx007
                  complete_message: Account resolve failed
                  requires_approval: 0
                  is_approved: 1
                  bank_name: N/A
      deprecated: false
components:
  schemas:
    InitiateaTransferRequest:
      title: InitiateaTransferRequest
      required:
        - account_bank
        - account_number
        - amount
        - narration
        - currency
        - reference
        - callback_url
        - debit_currency
      type: object
      properties:
        account_bank:
          type: string
        account_number:
          type: string
        amount:
          type: integer
          format: int32
        narration:
          type: string
        currency:
          type: string
        reference:
          type: string
        callback_url:
          type: string
        debit_currency:
          type: string
      example:
        account_bank: '044'
        account_number: '0690000040'
        amount: 500
        narration: Akhlm Pstmn Trnsfr xx007
        currency: NGN
        reference: akhlm-pstmnpyt-rfxx078_PMCKDU_1
        callback_url: https://www.flutterwave.com/ng/
        debit_currency: NGN
    SuccessfulNGNTransferResponse:
      title: SuccessfulNGNTransferResponse
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data30'
      example:
        status: success
        message: Transfer Queued Successfully
        data:
          id: 621922
          account_number: '0690000040'
          bank_code: '044'
          full_name: Alexis Sanchez
          created_at: '2024-03-18T08:58:30.000Z'
          currency: NGN
          debit_currency: NGN
          amount: 500
          fee: 10.75
          status: NEW
          reference: akhlm-pstmnpyt-rfxx078_PMCKDU_1
          meta: null
          narration: Akhlm Pstmn Trnsfr xx007
          complete_message: ''
          requires_approval: 0
          is_approved: 1
          bank_name: ACCESS BANK NIGERIA
    AccountResolveError1:
      title: AccountResolveError1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data30'
      example:
        status: error
        message: Transfer creation failed
        data:
          id: 621925
          account_number: '0690000099'
          bank_code: '044'
          full_name: N/A
          created_at: '2024-03-18T09:02:14.000Z'
          currency: NGN
          debit_currency: NGN
          amount: 500
          fee: 10.75
          status: FAILED
          reference: akhlm-pstmnpyt-rfxx678_PMCKDU_1
          meta: null
          narration: Akhlm Pstmn Trnsfr xx007
          complete_message: Account resolve failed
          requires_approval: 0
          is_approved: 1
          bank_name: N/A
    Data30:
      title: Data30
      required:
        - id
        - account_number
        - bank_code
        - full_name
        - created_at
        - currency
        - debit_currency
        - amount
        - fee
        - status
        - reference
        - meta
        - narration
        - complete_message
        - requires_approval
        - is_approved
        - bank_name
      type: object
      properties:
        id:
          type: integer
          format: int32
        account_number:
          type: string
        bank_code:
          type: string
        full_name:
          type: string
        created_at:
          type: string
        currency:
          type: string
        debit_currency:
          type: string
        amount:
          type: integer
          format: int32
        fee:
          type: number
        status:
          type: string
        reference:
          type: string
        meta:
          type: string
          nullable: true
        narration:
          type: string
        complete_message:
          type: string
        requires_approval:
          type: integer
          format: int32
        is_approved:
          type: integer
          format: int32
        bank_name:
          type: string
      example:
        id: 621922
        account_number: '0690000040'
        bank_code: '044'
        full_name: Alexis Sanchez
        created_at: '2024-03-18T08:58:30.000Z'
        currency: NGN
        debit_currency: NGN
        amount: 500
        fee: 10.75
        status: NEW
        reference: akhlm-pstmnpyt-rfxx078_PMCKDU_1
        meta: null
        narration: Akhlm Pstmn Trnsfr xx007
        complete_message: ''
        requires_approval: 0
        is_approved: 1
        bank_name: ACCESS BANK NIGERIA
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````